---
import Layout from "../layouts/center-card.astro";
import Form from "../components/login.vue";
import { auth } from "@/utils/auth";

const authResult = await auth(Astro);
if (authResult.ok) {
  return Astro.redirect("/");
}
---

<Layout title="Login">
  <Form client:load />
</Layout>
